package com.TicketManagement;
import java.util.Date;

/**
 * @author Amirhosein Rajabpour
 *
 * flight class represents fields related to flights
 */
public class Flight {
    private Date date;
    private String destination;
    private Airplane airplane;
    private int flightNumber;
    private String source;
    private String company;
    private String model;
    public Flight(Date date,int flightNumber,String destination,String source,Airplane airplane){

        this.date = date;
        this.source = source;
        this.airplane = airplane;
        this.destination = destination;
        this.flightNumber = flightNumber;
        this.company = airplane.getAirplaneagency();
        this.model = airplane.getModel();
    }

    /**
     *
     * @return flight number
     */
    public int getFlightNumber() {
        return flightNumber;
    }

    /**
     *
     * @return source of the flight
     */
    public String getSource() {
        return source;
    }

    /**
     *
     * @return object of airplane
     */
    public Airplane getAirplane() {
        return airplane;
    }

    /**
     *
     * @return date of the flight
     */

    public Date getDate() {
        return date;
    }

    /**
     *
     * @return destination of the flight
     */

    public String getDestination() {
        return destination;
    }

    /**
     *
     * @return airplain's company (airline)
     */

    public String getCompany(){ return  company;}

    /**
     *
     * @return model of the Aircraft
     */
    public String getModel(){ return  model;}

    /**
     *
     * @param f which is a flight object
     *          shows details of a specific flight
     */
    public void displayFlight(Flight f){
        System.out.println(f.getDate());
        System.out.println(f.getDestination());
        System.out.println(f.getCompany());
        System.out.println(f.getModel());
        System.out.println(f.getFlightNumber());
    }

}

